Bug 1297145 - python tox breaks with 'envsitepackagesdir'
python tox breaks with 'envsitepackagesdir'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-tox (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-09 16:03 EST by Simo Sorce
Modified: 2016-02-29 09:27 EST (History)
2 users (show)

See Also:
Fixed In Version: python-tox-2.3.1-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-29 09:27:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simo Sorce 2016-01-09 16:03:34 EST
We use this option in the custodia package.

With python-tox 2.1.1 it breaks, reverting back to 1.8.1 works.

Here is the traceback:
Traceback (most recent call last):
  File "/usr/bin/tox", line 9, in <module>
    load_entry_point('tox==2.1.1', 'console_scripts', 'tox')()
  File "/usr/lib/python2.7/site-packages/tox/session.py", line 38, in main
    config = prepare(args)
  File "/usr/lib/python2.7/site-packages/tox/session.py", line 26, in prepare
    config = parseconfig(args)
  File "/usr/lib/python2.7/site-packages/tox/config.py", line 219, in parseconfig
    parseini(config, inipath)
  File "/usr/lib/python2.7/site-packages/tox/config.py", line 669, in __init__
    self.make_envconfig(name, section, reader._subs, config)
  File "/usr/lib/python2.7/site-packages/tox/config.py", line 697, in make_envconfig
    res = meth(env_attr.name, env_attr.default)
  File "/usr/lib/python2.7/site-packages/tox/config.py", line 832, in getdict
    s = self.getstring(name, None)
  File "/usr/lib/python2.7/site-packages/tox/config.py", line 886, in getstring
    x = self._replace(x)
  File "/usr/lib/python2.7/site-packages/tox/config.py", line 982, in _replace
    return RE_ITEM_REF.sub(self._replace_match, x)
  File "/usr/lib/python2.7/site-packages/tox/config.py", line 978, in _replace_match
    return handler(match)
  File "/usr/lib/python2.7/site-packages/tox/config.py", line 948, in _replace_substitution
    val = self._substitute_from_other_section(sub_key)
  File "/usr/lib/python2.7/site-packages/tox/config.py", line 942, in _substitute_from_other_section
    "substitution key %r not found" % key)
tox.ConfigError: ConfigError: substitution key 'envsitepackagesdir' not found
Comment 1 Simo Sorce 2016-02-19 13:28:13 EST
Any chance to get this fixed, here's upstream discussion/fix:
https://bitbucket.org/hpk42/tox/issues/246/envbindir-substitution-key-not-found
Comment 2 Matthias Runge 2016-02-29 09:27:02 EST
Sorry, I did not meant to ignore this.

Meanwhile, I upgraded f24 packages to python-tox-2.3.1-1.fc24.

Note You need to log in before you can comment on or make changes to this bug.